'use strict';

goog.provide('Blockly.Python.comment');

goog.require('Blockly.Python');

Blockly.Python['comment_single'] = function(block) {
    var text_body = block.getFieldValue('BODY');
    // TODO: Assemble JavaScript into code variable.
    var code = '# '+text_body+'\n';
    return code;
  };
  
  Blockly.Python['string_multiline'] = function(block) {
    var text_body = block.getFieldValue('TEXT');
    // TODO: Assemble JavaScript into code variable.
    var code = '"""'+text_body+'"""\n';
    return [code, Blockly.Python.ORDER_ATOMIC];
  };